Message body only displayed when option display attachments inline is selected

RESOLVED WORKSFORME

Status

Thunderbird
Mail Window Front End
RESOLVED WORKSFORME
13 years ago
10 years ago

People

(Reporter: AJ, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: closeme 2008-09-04)

(Reporter)

Description

13 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051107 Firefox/1.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051107 Firefox/1.5

When recieving a message with attachments that have inline attachements also

Reproducible: Always

Steps to Reproduce:
Here is a sample message

Return-path: <andrew.weighell@staff.westnet.com.au>
X-Spam-Score: 0
Received: from vscan02.westnet.com.au (unverified [203.10.1.132]) by mail.rockliffe.com
 (Rockliffe SMTPRA 6.3.29) with ESMTP id <B0000431000@mail.rockliffe.com> for <andrew.johnston@rockliffe.com>;
 Tue, 15 Nov 2005 19:08:50 -0800
Received: from localhost (localhost.localdomain [127.0.0.1])
	by localhost (Postfix) with ESMTP id 288A111A866
	for <andrew.johnston@rockliffe.com>; Wed, 16 Nov 2005 11:08:20 +0800 (WST)
Received: from vscan02.westnet.com.au ([127.0.0.1])
 by localhost (vscan02.westnet.com.au [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 11478-03 for <andrew.johnston@rockliffe.com>;
 Wed, 16 Nov 2005 11:08:16 +0800 (WST)
Received: from bandicoot.web.westnet.com.au (unknown [192.168.28.11])
	by vscan02.westnet.com.au (Postfix) with ESMTP id 0DFEB11B5C3
	for <andrew.johnston@rockliffe.com>; Wed, 16 Nov 2005 11:08:14 +0800 (WST)
Received: from kowari.staff.wn.com.au (unverified [203.10.1.5]) by wn.com.au
 (Rockliffe SMTPRA 6.3.21) with SMTP id <B0009131424@bandicoot.WEB.westnet.com.au> for <andrew.johnston@rockliffe.com>;
 Wed, 16 Nov 2005 11:08:13 +0800
Received: from carnifex.staff.wn.com.au ([192.168.59.10]) by kowari.staff.wn.com.au with Microsoft SMTPSVC(5.0.2195.6713);
	 Wed, 16 Nov 2005 11:08:10 +0800
X-MimeOLE: Produced By Microsoft Exchange V6.5
Content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: multipart/mixed;
	boundary="----_=_NextPart_001_01C5EA5A.F5912BB3"
Subject: Yesterday's Mail Issues
Date: Wed, 16 Nov 2005 11:08:03 +0800
Message-ID: <E917F17166A0344F860AE24EB7E51DB516EB2F@carnifex.staff.wn.com.au>
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
Thread-Topic: Yesterday's Mail Issues
thread-index: AcXqWv8coI8e0KaLRluVQhOC0qe1Uw==
From: "Andrew Weighell" <andrew.weighell@staff.westnet.com.au>
To: "Shay Rickman" <shay.rickman@staff.westnet.com.au>,
	"Jonathon Lanzon" <Jonathon.Lanzon@staff.westnet.com.au>,
	<andrew.johnston@rockliffe.com>
Cc: "Rod West" <rod.west@staff.westnet.com.au>,
	"Luke Dudney" <luke.dudney@staff.westnet.com.au>
X-OriginalArrivalTime: 16 Nov 2005 03:08:10.0485 (UTC) FILETIME=[F9900A50:01C5EA5A]

This is a multi-part message in MIME format.

------_=_NextPart_001_01C5EA5A.F5912BB3
Content-Type: multipart/related;
	type="multipart/alternative";
	boundary="----_=_NextPart_002_01C5EA5A.F5912BB3"


------_=_NextPart_002_01C5EA5A.F5912BB3
Content-Type: multipart/alternative;
	boundary="----_=_NextPart_003_01C5EA5A.F5912BB3"


------_=_NextPart_003_01C5EA5A.F5912BB3
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Hi Guys,
=20
I have been looking in to Yesterday's Mail issues and it would seem we
have 2 separate issues both relating to the new version of Mailsite
6.3.29. One is that CPU on the database server is abnormally high and
when a node with the new version of Mailsite starts handling customer
mail SQL Deadlocks start occurring causing major issues with mail
services.
=20
Problem one would seem to possibly be related to the exec
EnumerateMailLists 'Domain' Procedure. It would seem the calls from the
two upgraded nodes are using a lot of CPU time and performing a lot of
reads. I have been unable to get a comparison from the old version due
to the current MTU issue preventing us from running Profiler on Ringtail
so until I can this problem is probably going to have to wait.
=20
The second problem causes further CPU load and also causes massive
amounts of Deadlocks to occur. It seems to be related to this new
procedure which is used only by the new version of Mailsite.=20
=20
RPC:Completed RAFFRAY exec AdjustMailboxIdSizeInfo2 -2147328538, 21, 1,
0, 0, 0, 0, 5, 0, 1 MailSite  mailsitecl 344 79277 1 1533 1680 632
2005-11-15 13:40:55.310=20
CPU: 344
Reads: 79277
Duration: 1533
=20
Compared to the old Version:
=20
RPC:Completed BANDICOOT exec AdjustMailboxIdSizeInfo -2147322576, 2, 1,
0, 0, 5, 0 MailSite  mailsitecl 0 16 1 0 476 461 2005-11-15 13:31:05.047

CPU: 0
Reads: 16
Duration 0
=20
I have attached the MSSQL log file detailing the Deadlocks and also a
Deadlock profile which was being run at the same time. I have also
attached trace file for the transactions being run against the DB server
at the time from the two upgraded nodes as well as a couple of the other
nodes which have not yet been upgraded.
=20
The deadlock seems be occurring between these two queries:
=20
From the AdjustMailboxIDSizeInfo2 Procedure
=20
UPDATE=20
    DP
   SET
    DP.QuotaMsgSize =3D dbo.fn_Max(ISNULL(DP.QuotaMsgSize, 0) +
@MsgSizeDelta, 0),
    DP.QuotaTotSize =3D dbo.fn_Max(ISNULL(DP.QuotaTotSize, 0) +
@MsgSizeDelta, 0),
    DP.QuotaNoMsgs =3D dbo.fn_Max(ISNULL(DP.QuotaNoMsgs, 0) +
@NoMsgsDelta, 0),
    @DomainOldMsgSize =3D dbo.fn_Max(ISNULL(DP.QuotaMsgSize, 0), 0),
    @DomainOldTotalSize =3D dbo.fn_Max(ISNULL(DP.QuotaTotSize, 0), 0),
    @DomainNewMsgSize =3D dbo.fn_Max(ISNULL(DP.QuotaMsgSize, 0) +
@MsgSizeDelta, 0),
    @DomainNewTotalSize  =3D dbo.fn_Max(ISNULL(DP.QuotaTotSize, 0) +
@MsgSizeDelta, 0),
    @DomainNewNoMsgs =3D dbo.fn_Max(ISNULL(DP.QuotaNoMsgs, 0) +
@NoMsgsDelta, 0),
    @DomainQuotaLimitTime =3D ISNULL(DP.QuotaLimitTime, 0),
    @DomainQuotaTriggerTime =3D ISNULL(DP.QuotaTriggerTime, 0)
   FROM
    MailNames MN, DomainProperties DP
   WHERE=20
    (DP.DomainId =3D MN.DomainId AND
    MN.MailboxId =3D @MailboxId AND
    MN.PrincipalName =3D 1)
=20
And
=20
From the CreateMailbox Procedure
=20
INSERT INTO dbo.MailNames (MailName,PrincipalName,DomainId,MailboxId)
SELECT @Mailbox,1,DomainNames.DomainId,@@IDENTITY FROM DomainNames WHERE
DomainNames.DomainName =3D @Domain
=20
This has probably been a problem since the first server was upgraded bit
as it only handles outage notices and the like the impact on Ringtail
was minimal. Once a full node was brought up however the problems
presented themselves in spectacular fashion.
=20
As both Shay and Jon are sick today there is not much more I can do
however, I have included Andrew from Rockliffe on this email as well in
case he has any thoughts on the problem.
=20
Any questions please let me know.

Regards,
Andrew
____________________________________

Andrew Weighell
Database Administration Team
=20
Westnet - Voted Number 1 ISP in Customer Satisfaction two years running

Phone: (08) 6263 6300    Fax: (08) 6263 6366
For more contact information visit our contact us
<http://www.westnet.com.au/contact/>  webpage.=20


=20

------_=_NextPart_003_01C5EA5A.F5912BB3
Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; =
charset=3Dus-ascii">
<META content=3D"MSHTML 6.00.3790.2541" name=3DGENERATOR></HEAD>
<BODY>
<DIV><FONT face=3DVerdana size=3D2>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>Hi=20
Guys,</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>I =
have been=20
looking in to&nbsp;Yesterday's Mail issues and it would seem we have 2 =
separate=20
issues both relating to the new version of Mailsite 6.3.29. One is that =
CPU on=20
the database server is abnormally high and when a node with the new =
version of=20
Mailsite starts handling customer mail SQL Deadlocks start occurring =
causing=20
major issues with mail services.</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>Problem one would=20
seem to possibly be related to the exec EnumerateMailLists 'Domain' =
Procedure.=20
It would seem the calls from the two upgraded nodes are using a lot of =
CPU time=20
and performing a lot of reads. <SPAN class=3D531204506-15112005><FONT =
face=3DVerdana=20
size=3D2>I have been unable to get a comparison from the old version due =
to the=20
current MTU issue preventing us from running Profiler on Ringtail so =
until I can=20
this problem is probably going to have to=20
wait.</FONT></SPAN></FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2><SPAN=20
class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2><SPAN=20
class=3D531204506-15112005><FONT face=3DVerdana size=3D2>The second =
problem causes=20
further CPU load and also causes massive amounts of Deadlocks to occur. =
It seems=20
to be related to this new procedure which is used only by the new =
version of=20
Mailsite. </FONT></SPAN></FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2>RPC:Completed&nbsp;RAFFRAY&nbsp;exec AdjustMailboxIdSizeInfo2=20
-2147328538, 21, 1, 0, 0, 0, 0, 5, 0,=20
1&nbsp;MailSite&nbsp;&nbsp;mailsitecl&nbsp;344&nbsp;79277&nbsp;1&nbsp;153=
3&nbsp;1680&nbsp;632&nbsp;2005-11-15=20
13:40:55.310&nbsp;</FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>CPU: =

344</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>Reads:=20
79277</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>Duration:=20
1533</FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>Compared to the=20
old Version:</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2>RPC:Completed&nbsp;BANDICOOT&nbsp;exec AdjustMailboxIdSizeInfo=20
-2147322576, 2, 1, 0, 0, 5,=20
0&nbsp;MailSite&nbsp;&nbsp;mailsitecl&nbsp;0&nbsp;16&nbsp;1&nbsp;0&nbsp;4=
76&nbsp;461&nbsp;2005-11-15=20
13:31:05.047&nbsp;<BR>CPU: 0</FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>Reads:=20
16</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>Duration=20
0</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>I =
have attached=20
the MSSQL log file detailing the Deadlocks and also a Deadlock profile =
which was=20
being run at the same time. I have also attached&nbsp;trace file for the =

transactions being run against the DB server at the time from the two =
upgraded=20
nodes as well as a couple of the other nodes which have not yet been=20
upgraded.</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>The =
deadlock seems=20
be occurring between these two queries:</FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>From =
the=20
AdjustMailboxIDSizeInfo2 Procedure</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>UPDATE=20
<BR>&nbsp;&nbsp;&nbsp;&nbsp;DP<BR>&nbsp;&nbsp;&nbsp;SET<BR>&nbsp;&nbsp;&n=
bsp;&nbsp;DP.QuotaMsgSize&nbsp;=3D=20
dbo.fn_Max(ISNULL(DP.QuotaMsgSize, 0)&nbsp;+ @MsgSizeDelta,=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;DP.QuotaTotSize&nbsp;=3D=20
dbo.fn_Max(ISNULL(DP.QuotaTotSize, 0)&nbsp;+ @MsgSizeDelta,=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;DP.QuotaNoMsgs =3D=20
dbo.fn_Max(ISNULL(DP.QuotaNoMsgs, 0) +&nbsp;@NoMsgsDelta,=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainOldMsgSize=20
=3D&nbsp;dbo.fn_Max(ISNULL(DP.QuotaMsgSize, 0),=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainOldTotalSize&nbsp;=3D=20
dbo.fn_Max(ISNULL(DP.QuotaTotSize, 0),=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainNewMsgSize=20
=3D&nbsp;dbo.fn_Max(ISNULL(DP.QuotaMsgSize, 0) +&nbsp;@MsgSizeDelta,=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainNewTotalSize&nbsp; =3D=20
dbo.fn_Max(ISNULL(DP.QuotaTotSize, 0) + @MsgSizeDelta,=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainNewNoMsgs =3D=20
dbo.fn_Max(ISNULL(DP.QuotaNoMsgs, 0)&nbsp;+=20
@NoMsgsDelta,&nbsp;0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainQuotaLimitTime=20
=3D&nbsp;ISNULL(DP.QuotaLimitTime,=20
0),<BR>&nbsp;&nbsp;&nbsp;&nbsp;@DomainQuotaTriggerTime&nbsp;=3D=20
ISNULL(DP.QuotaTriggerTime,=20
0)<BR>&nbsp;&nbsp;&nbsp;FROM<BR>&nbsp;&nbsp;&nbsp;&nbsp;MailNames MN,=20
DomainProperties DP<BR>&nbsp;&nbsp;&nbsp;WHERE=20

<BR>&nbsp;&nbsp;&nbsp;&nbsp;(DP.DomainId =3D MN.DomainId=20
AND<BR>&nbsp;&nbsp;&nbsp;&nbsp;MN.MailboxId =3D @MailboxId=20
AND<BR>&nbsp;&nbsp;&nbsp;&nbsp;MN.PrincipalName =3D =
1)</FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2>And</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>From =
the=20
CreateMailbox Procedure</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana =
size=3D2>INSERT INTO=20
dbo.MailNames (MailName,PrincipalName,DomainId,MailboxId) SELECT=20
@Mailbox,1,DomainNames.DomainId,@@IDENTITY FROM DomainNames WHERE=20
DomainNames.DomainName =3D @Domain</FONT></SPAN></DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>This =
has probably=20
been a problem since the first server was upgraded bit as it only =
handles outage=20
notices and the like the&nbsp;impact on Ringtail was minimal. Once a =
full node=20
was brought up however the problems presented themselves in spectacular=20
fashion.</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005></SPAN><SPAN =
class=3D531204506-15112005><FONT=20
face=3DVerdana size=3D2></FONT></SPAN>&nbsp;</DIV>

<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>As =
both Shay and=20
Jon are sick today&nbsp;there is not much more I can do&nbsp;however, I =
have=20
included Andrew from Rockliffe on this email as well in case he has any =
thoughts=20
on the problem.</FONT></SPAN></DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana=20
size=3D2></FONT></SPAN>&nbsp;</DIV>
<DIV><SPAN class=3D531204506-15112005><FONT face=3DVerdana size=3D2>Any =
questions=20
please let me know.</FONT></SPAN></DIV>

<DIV align=3Dleft><BR></FONT><FONT face=3DVerdana, size=3D2 Arial, =
Helvetica,=20
sans-serif>Regards,<BR>Andrew<BR><FONT=20
color=3D#cccccc>____________________________________</FONT><BR><BR>Andrew=
&nbsp;Weighell<BR><EM>Database=20
Administration Team</EM><BR><IMG alt=3Dwww.westnet.com.au hspace=3D0=20
src=3D"cid:390170703@16112005-0768" align=3Dbaseline vspace=3D8=20
border=3D0><BR><STRONG><FONT size=3D1>Westnet - Voted Number 1 ISP in =
Customer=20
Satisfaction two years running</FONT></STRONG><BR><BR><FONT=20
size=3D1><STRONG>Phone:</STRONG> (08) 6263=20
6300&nbsp;&nbsp;&nbsp;&nbsp;<STRONG>Fax:</STRONG> (08) 6263 6366<BR>For =

more=20
contact information visit our <A=20
href=3D"http://www.westnet.com.au/contact/">contact us</A> =
webpage.</FONT></FONT>=20
<BR><BR></DIV></DIV>
<DIV>&nbsp;</DIV></BODY></HTML>

------_=_NextPart_003_01C5EA5A.F5912BB3--

------_=_NextPart_002_01C5EA5A.F5912BB3
Content-Type: image/gif;
	name="att713b6.gif"
Content-Transfer-Encoding: base64
Content-ID: <390170703@16112005-0768>
Content-Description: att713b6.gif
Content-Location: att713b6.gif
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Actual Results:  
When not using the option I get a completely blank message body

Expected Results:  
The message body should be shown

Comment 1

13 years ago
In the future, please note: it is far more useful to save the message as a .EML file and attach it to the bug, rather than pasting it in -- in particular, the sample you posted is incomplete.

Also, your description of the bug is one sentence fragment.


Integrating the message into my Local Folders, I encountered a problem where there are two lines in the plain-text portion that begin with "From " -- 
which is the mbox delimiter string, resulting in a truncated message body and
a second message with no displayed headers.  (Presumably you don't see this because you're viewing the message from an IMAP server.)  

I replaced the "From " with "=46rom " (converting the string to quoted-printable, which the message already uses); with this change, I cannot 
reproduce the problem as stated.  With 'Display Attachments Inline' turned 
on or off, the message displays as expected; this is true regardless of the setting of 
  View | Message Body As

Bug 182627 is about bodies not displaying unless Display Attachments Inline is set, but the symptoms of that bug don't apply to the attached message.

MIME structure of the message is:

multipart-mixed; boundary="001"
--001
  multipart-related; type="multipart/alternative"; boundary="002"
  --002
    multipart-alternative; boundary="003"
    --003
      text/plain
    --003
      text/html
    --003--
  --002
    image/gif  [presumably followed by...]
  --002--
--001--

This structure is basically correct, altho it could have been simpler.

Comment 2

13 years ago
I noticed today that a fix was checked in yesterday for bug 315975, which might be a duplicate of this bug; the symptom described there is similar to this.
But I suspect not -- that bug was due to a regression introduced on the trunk (1.6a) which wouldn't have been in any 1.5 release.  OTOH, you didn't specify which version of TB you're using.
(Reporter)

Comment 3

13 years ago
Hi,

I am using TB 1.5 RC1.  I am getting this happen a lot on different messages that they message will not be displaied or even downloaded correctly.  I am using IMAP as the connection type.

I can supply samples if you need them.

-AJ
QA Contact: front-end
Reporter, does the issue still occur in the latest supported 2.0.0.x / Shredder trunk nightlies?

(1.5.0.x is now end-of-life and the latest supported 2.0.0.x is 2.0.0.16)
Whiteboard: closeme 2008-09-04

Updated

10 years ago
Assignee: mscott → nobody
RESO INCO due to lack of response to last comment. If you feel this change was made in error, please respond to this bug with your reasons why.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → INCOMPLETE
(Reporter)

Comment 6

10 years ago
I have not been able to test this issue as I have been so snowed under at work.  I do believe that this issue is resolved though and can be fully closed out.
Resolution: INCOMPLETE → FIXED
resolving WFM per comment #6. Fixed is used for bugs with known patches.
https://bugzilla.mozilla.org/page.cgi?id=fields.html#status
Resolution: FIXED → WORKSFORME
You need to log in before you can comment on or make changes to this bug.